> ## Documentation Index
> Fetch the complete documentation index at: https://old-docs.you.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Contents

## Description

This endpoint returns the HTML or Markdown of a target webpage.


## OpenAPI

````yaml post /v1/contents
openapi: 3.0.0
info:
  title: You.com Search API
  description: Get the best search results from web and news sources
  version: 0.0.1
servers:
  - url: https://ydc-index.io
security:
  - ApiKeyAuth: []
paths:
  /v1/contents:
    post:
      summary: Returns the content of the web pages
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                urls:
                  description: Array of URLs to fetch the contents from.
                  type: array
                  items:
                    type: string
                    format: uri
                    example: https://www.you.com
                format:
                  description: The format of the content to be returned.
                  type: string
                  enum:
                    - html
                    - markdown
                  example: html
      responses:
        '200':
          description: >-
            An array of JSON objects containing the page content of each web
            page
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    url:
                      description: The webpage URL whose content has been fetched.
                      type: string
                      format: uri
                      example: https://www.you.com
                    title:
                      type: string
                      description: The title of the web page.
                      example: The best website in the world
                    html:
                      nullable: true
                      type: string
                      description: The retrieved HTML content of the web page.
                    markdown:
                      nullable: true
                      type: string
                      description: The retrieved Markdown content of the web page.
        '401':
          description: Unauthorized. Problems with API key.
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    description: Error detail message.
              examples:
                missingApiKey:
                  summary: Missing API key
                  value:
                    detail: API key is required
                invalidOrExpired:
                  summary: Invalid/expired API key
                  value:
                    detail: Invalid or expired API key
                otherAuthParsing:
                  summary: Other auth parsing errors
                  value:
                    detail: <error message>
        '403':
          description: Forbidden. API key lacks scope for this path.
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
              examples:
                missingScopes:
                  summary: Missing required scopes
                  value:
                    detail: Missing required scopes
        '500':
          description: >-
            Internal Server Error during authentication/authorization
            middleware.
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
              examples:
                authFailure:
                  summary: Authentication failure
                  value:
                    detail: Internal authentication error
                authorizationFailure:
                  summary: Authorization failure
                  value:
                    detail: Internal authorization error
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        The unique API Key required to authorize API access. Learn how to get
        yours in the [“Get your API key” section of the
        documentation](/get-started/quickstart#get-your-api-key).

````